<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('fcf_reports_report_data_veicoli', function (Blueprint $table) {
            $table->integer('tipo_danno_2')->nullable()->after('tipo_danno');
            $table->integer('entita_danno_2')->nullable()->after('entita_danno');
            $table->integer('effetto_danno_2')->nullable()->after('effetto_danno');
            $table->integer('parte_macchina_2')->nullable()->after('parte_macchina');

            $table->integer('tipo_danno_3')->nullable()->after('tipo_danno_2');
            $table->integer('entita_danno_3')->nullable()->after('entita_danno_2');
            $table->integer('effetto_danno_3')->nullable()->after('effetto_danno_2');
            $table->integer('parte_macchina_3')->nullable()->after('parte_macchina_2');

            $table->integer('tipo_danno_4')->nullable()->after('tipo_danno_3');
            $table->integer('entita_danno_4')->nullable()->after('entita_danno_3');
            $table->integer('effetto_danno_4')->nullable()->after('effetto_danno_3');
            $table->integer('parte_macchina_4')->nullable()->after('parte_macchina_3');
        });
    }
    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::table('fcf_reports_report_data_veicoli', function (Blueprint $table) {
            $table->dropColumn([
                'tipo_danno_2', 'entita_danno_2', 'effetto_danno_2', 'parte_macchina_2',
                'tipo_danno_3', 'entita_danno_3', 'effetto_danno_3', 'parte_macchina_3',
                'tipo_danno_4', 'entita_danno_4', 'effetto_danno_4', 'parte_macchina_4',
            ]);
        });
    }
};
